[openssl-commits] [openssl] OpenSSL_1_0_2-stable update
Dr. Stephen Henson
steve at openssl.org
Sat Mar 26 16:01:53 UTC 2016
The branch OpenSSL_1_0_2-stable has been updated
via 21211ade53f92629250bbea5e37d9179a31d3be2 (commit)
from a6406c95984a1009f5676bbcf60cc0d6db107af4 (commit)
- Log -----------------------------------------------------------------
commit 21211ade53f92629250bbea5e37d9179a31d3be2
Author: Dr. Stephen Henson <steve at openssl.org>
Date: Sat Mar 26 15:00:53 2016 +0000
Fix FIPS SSLv2 test
Reviewed-by: Viktor Dukhovni <viktor at openssl.org>
-----------------------------------------------------------------------
Summary of changes:
test/testfipsssl | 8 ++++++--
1 file changed, 6 insertions(+), 2 deletions(-)
diff --git a/test/testfipsssl b/test/testfipsssl
index c4836ed..b8bbb25 100644
--- a/test/testfipsssl
+++ b/test/testfipsssl
@@ -38,8 +38,12 @@ fi
echo test ssl3 is forbidden in FIPS mode
$ssltest -ssl3 $extra && exit 1
-echo test ssl2 is forbidden in FIPS mode
-$ssltest -ssl2 $extra && exit 1
+if ../util/shlib_wrap.sh ../apps/openssl ciphers SSLv2 >/dev/null 2>&1; then
+ echo test ssl2 is forbidden in FIPS mode
+ $ssltest -ssl2 $extra && exit 1
+else
+ echo ssl2 disabled: skipping test
+fi
echo test tls1
$ssltest -tls1 $extra || exit 1
More information about the openssl-commits
mailing list